--- contrib/libtests/pngvalid.c	2021-02-08 16:42:45.767356289 -0500
+++ contrib/libtests/pngvalid_new.c	2021-02-09 16:37:14.670036449 -0500
@@ -11659,7 +11659,9 @@
     * disabled; this is not necessary but if it is not done pngvalid will likely
     * end up ignoring FP conditions that other platforms fault.
     */
+   #ifndef __QNXNTO__
    feenableexcept(FE_DIVBYZERO | FE_INVALID | FE_OVERFLOW);
+   #endif
 #endif
 
    modifier_init(&pm);
